%define major       0
%define libname     %mklibname %{name} %{major}
%define develname   %mklibname %{name} -d

Name:           synfig
Version:        1.4.2
Release:        %mkrel 3
Summary:        Vector-based 2D animation renderer
Group:          Graphics
License:        GPLv2+
URL:            http://www.synfig.org
Source0:        http://downloads.sf.net/synfig/%{name}-%{version}.tar.xz
Patch0:         synfig-1.0.1-buildfix.patch
Patch1:         synfig-1.1.10-optflags.patch
Patch2:         synfig-1.4.2-mlt++-7.patch

BuildRequires:  cvs
BuildRequires:  intltool
BuildRequires:  boost-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  gettext-devel
BuildRequires:  libltdl-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(ETL) >= %{version}
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libmng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  opencv-devel
BuildRequires: lib64mlt++7_7

Requires:       libdv-apps
Requires:       imagemagick
Requires:       ffmpeg

%description
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the command-line renderer. For the GUI animation
editor, please install synfigstudio.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries

%description -n %{libname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the shared library provided by synfig.

%package -n %{develname}
Summary:        Development headers and libraries for %{name}
Group:          Development/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the development files for the shared library
provided by synfig.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
intltoolize --copy --force
%configure2_5x \
    --disable-static \
    --with-imagemagick
%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%config %{_sysconfdir}/%{name}_modules.cfg
%{_bindir}/%{name}
%{_libdir}/%{name}/

%files -n %{libname}
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{develname}
%{_bindir}/%{name}-config
%{_includedir}/%{name}-*/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Aug 20 2022 tex - 1.4.2-3pclos2022
- rebuild against updates

* Fri Oct 15 2021 tex - 1.4.2-2pclos2021
- rebuild with opencv

* Fri Sep 17 2021 tex - 1.4.2-1pclos2021
- new version

* Sun Oct 13 2019 tex - 1.2.2-2pclos2019
- rebuild against updates

* Fri May 31 2019 tex 1.2.2-1pclos2019
- new
